var i18n = {
	zh_CN: { 
		账号 : '请输入账号/手机号码',
		登录密码 : '请输入登录密码',
		记住密码 : '记住密码',
		忘记密码 : '忘记密码?',
		登录 : '登录',
		语言 : '语言',
		体验一下 : '体验一下',
		立即注册 : '立即注册',
		创建一个新企业 : '创建一个新企业，马上使用',
		管理员给我开通了账号:'管理员给我开通了账号，我加入',
		取消:'取消',
		提示:'提示',
		按管理员给您的账号直接登录即可:'按管理员给您的账号直接登录即可！',
		账号不允许为空:'账号不允许为空',
		密码不允许为空:'密码不允许为空',
		继续体验:'继续体验',
		前往注册:'前往注册',
		体验账号仅供快速体验:'您登录的是体验账号，仅供快速体验，数据会定期删除还原，如需保存数据，请前往注册。',
		账号已禁止登录:'账号已禁止登录！',
		网络连接异常:'网络连接异常',
		账号或密码错误:'账号或密码错误',
		立即付费:'立即付费',
		企业注册:'企业注册',
		手机号码:'手机号码',
		短信验证码:'短信验证码',
		获取验证码:'获取验证码',
		下一步:'下一步',
		注意:'注意',
		国际码和手机号码之间不要加0:'国际码和手机号码之间不要加0。',
		注意事项:'如在越南拨打当地号码是04987654321（04是当地拨打的区号），拨打国际号码则变为是844987654321，国家码84与当地号码04987654321的0是需要去掉再上传到发送平台。',
		手机号不能为空:'手机号不能为空,请输入！',
		手机号格式不正确:'手机号格式不正确，请重输！',
		重发:'重发',
		短信验证码不能为空:'短信验证码不能为空，请输入！',
		图形验证码不能为空:'图形验证码不能为空，请输入！',
		图形验证码:'请输入图形验证码',
		安全验证:'安全验证',
		确定:'确定',
		验证码不正确:'验证码不正确，请重输！',
		继续:'继续',
		手机号码已存在:'发现手机号码已存在于其他账套中，是否继续注册？',
		选择版本:'选择版本',
		标准版介绍:'适用于商贸型中小微企业，包含采购、销售、库存，以及往来财务管理功能。',
		专业版介绍:'适用于批零模式的企业，包含标准版的所有功能，同时具备客户关系管理、SN管控、费用报销等功能。',
		制造业版介绍:'适用于中小型加工厂企业，包含专业版的所有功能，同时具备生产加工、委外加工、计件工资等功能。',
		公司名称:'您企业的名称（必填）',
		姓名:'您的姓名',
		同意协议:'我已阅读并同意《服务协议》',
		登录密码不能为空:'登录密码不能为空，请输入！',
		企业名称不能为空:'企业名称不能为空，请输入！',
		企业名称必须为4个字符以上:'企业名称必须为4个字符以上，请重输！',
		您的姓名:'您的姓名',
		提交:'提交',
		找回密码:'找回密码',
		提交注册成功:'提交注册成功，正在为您初始化账套，请稍等...',
		注册成功:'注册成功',
		延用原有账套的登录密码:'延用原有账套的登录密码',
		注册:'注册',
		企业名称已经被使用:'企业名称已经被使用！'
	},
	
	zh_TW: {
		账号 : '請輸入帳號/手機號碼',
		登录密码 : '請輸入登入密碼',
		记住密码 : '記住密碼',
		忘记密码 : '忘記密碼?',
		登录 : '登入',
		语言 : '語言',
		体验一下 : '體驗一下',
		立即注册 : '立即註冊',
		创建一个新企业 : '創建一個新企業，馬上使用',
		管理员给我开通了账号:'管理員給我開通了帳號，我加入',
		取消:'取消',
		提示:'提示',
		按管理员给您的账号直接登录即可:'按管理員給您的帳號直接登入即可！',
		账号不允许为空:'帳號不允許為空',
		密码不允许为空:'密碼不允許為空',
		继续体验:'繼續體驗',
		前往注册:'前往注册',
		体验账号仅供快速体验:'您登入的是體驗帳號，僅供快速體驗，數據會定期删除還原，如需保存數據，請前往注册。',
		账号已禁止登录:'帳號已禁止登入！',
		网络连接异常:'網絡連接异常',
		账号或密码错误:'帳號或密碼錯誤',
		立即付费:'立即付費',
		企业注册:'企業註冊',
		手机号码:'手機號碼',
		短信验证码:'簡訊驗證碼',
		获取验证码:'獲取驗證碼',
		下一步:'下一步',
		注意:'注意',
		国际码和手机号码之间不要加0:'國際碼和手機號碼之間不要加0。',
		注意事项:'如在越南撥打當地號碼是04987654321（04是當地撥打的區號），撥打國際號碼則變為是844987654321，國家碼84與當地號碼04987654321的0是需要去掉再上傳到發送平臺。',
		手机号不能为空:'手機號不能為空，請輸入！',
		手机号格式不正确:'手機號格式不正確，請重輸！',
		重发:'重發',
		短信验证码不能为空:'簡訊驗證碼不能為空，請輸入',
		图形验证码不能为空:'圖形驗證碼不能為空，請輸入！',
		图形验证码:'請輸入圖形驗證碼',
		安全验证:'安全驗證',
		确定:'確定',
		验证码不正确:'簡訊驗證碼不正確，請重輸！',
		继续:'繼續',
		手机号码已存在:'發現手機號碼已存在於其他賬套中，是否繼續注册？',
		选择版本:'選擇版本',
		标准版介绍:'適用於商貿型中小微企業，包含採購、銷售、庫存，以及往來財務管理功能。',
		专业版介绍:'適用於批零模式的企業，包含標準版的所有功能，同時具備客戶關係管理、SN管控、費用報帳等功能。',
		制造业版介绍:'適用於中小型加工廠企業，包含專業版的所有功能，同時具備生產加工、委外加工、計件工資等功能。',
		公司名称:'您企業的名稱（必填）',
		姓名:'您的姓名',
		同意协议:'我已閱讀並同意《服務協議》',
		登录密码不能为空:'登入密碼不能為空，請輸入！',
		企业名称不能为空:'企業名稱不能為空，請輸入！',
		企业名称必须为4个字符以上:'企業名稱必須為4個字元以上，請重輸！',
		您的姓名:'您的姓名',
		提交注册成功:'提交注册成功，正在為您初始化賬套，請稍等…',
		注册成功:'注册成功',
		延用原有账套的登录密码:'延用原有賬套的登入密碼',
		注册:'注册',
		提交:'提交',
		找回密码:'找回密碼',
		企业名称已经被使用:'企業名稱已經被使用！'
	},
	
	en_US: {
		账号 : 'Account/Phone Number',
		登录密码 : 'Password',
		记住密码 : 'Remember me',
		忘记密码 : 'Forget Password?',
		登录 : 'Login',
		语言 : 'Language',
		立即注册 : 'Register',
		体验一下 : 'Experience',
		创建一个新企业 : 'Create a new company and use it now',
		管理员给我开通了账号:'The administrator has opened an account',
		取消:'Cancel',
		提示:'Tips',
		按管理员给您的账号直接登录即可:'You can log in directly according to the account given by the administrator!',
		账号不允许为空:'Account number cannot be empty.',
		密码不允许为空:'Password cannot be empty.',
		继续体验:'Experience',
		前往注册:'Register',
		体验账号仅供快速体验:'You log in to the experience account for quick experience only. The data will be deleted and restored regularly. If you need to save the data, please go to register.',
		账号已禁止登录:'Account has been forbidden to login.',
		网络连接异常:'Abnormal network connection.',
		账号或密码错误:'Wrong account or password.',
		立即付费:'Pay',
		企业注册:'Register',
		手机号码:'phone number',
		短信验证码:'SMS verification code',
		获取验证码:'Get',
		下一步:'next step',
		注意:'be careful',
		国际码和手机号码之间不要加0:'Do not add 0 between international code and mobile phone number.',
		注意事项:'For example, in Vietnam, the local number is 04987654321 (04 is the local area code), the international number is 844987654321, and the 0 of country code 84 and local number 04987654321 needs to be removed before uploading to the sending platform.',
		手机号不能为空:'Phone number cannot be empty, please input!',
		手机号格式不正确:'The format of phone number is incorrect, please re-enter!',
		重发:'Get',
		短信验证码不能为空:'SMS verification code cannot be empty, please input!',
		图形验证码不能为空:'verification code cannot be empty, please input!',
		图形验证码:'Graphic captcha',
		安全验证:'Security verification',
		确定:'Confirm',
		验证码不正确:'SMS verification code is incorrect, please re-enter!',
		继续:'Continue',
		手机号码已存在:'It is found that the mobile phone number already exists in other a / C sets. Do you want to continue to register?',
		选择版本:'Select version',
		标准版介绍:'It is suitable for small, medium and micro business enterprises, including purchasing, sales, inventory and transaction financial management functions.',
		专业版介绍:'It is suitable for wholesale and retail enterprises, including all the functions of the Standard Version, as well as customer relationship management, Sn control, expense reimbursement and other functions.',
		制造业版介绍:'It is suitable for small and medium-sized processing plants, including all the functions of professional version. It also has the functions of production and processing, outsourcing, piece rate and so on.',
		公司名称:'Name of your company(Required)',
		姓名:'Your name',
		同意协议:'Agree to the service agreement',
		登录密码不能为空:'Login password cannot be blank, please input!',
		企业名称不能为空:'Company name cannot be blank, please input!',
		企业名称必须为4个字符以上:'Company name must be more than 4 characters, please re-enter!',
		您的姓名:'Your name',
		提交注册成功:'Submit and register successfully, initializing a / C set for you, please wait...',
		注册成功:'success',
		延用原有账套的登录密码:'Continue to use the login password of the original A / C set',
		注册:'Submit',
		提交:'Submit',
		找回密码:'Retrieve password',
		企业名称已经被使用:'Company name has been used!'
	},
	
	uyg:{
		
	}
}