var tipMsg = '';
var tipTitle = '';
if(first.khtag == "khtag"){
	tipTitle = '上传图片';
	tipMsg ='图片最多允许上传3张！！';
}else{
	tipMsg ='纸质单据最多允许上传3张！！';
	tipTitle = '上传纸质单据';
}
/*上传纸质单据*/
document.getElementById("zzdj_btn").addEventListener("tap", function(e) {
	
	var zzdjs = (first.item.zzdjs).length + (first.item.zzdjDataList).length;
	if(zzdjs >= 3) {
			mui.toast(tipMsg);
		return;
	}

	if(mui.os.plus) {
		var a = [{
			title: "拍照"
		}, {
			title: "从相册选择"
		}];

		plus.nativeUI.actionSheet({
			title: tipTitle,
			cancel: "取消",
			buttons: a
		}, function(b) { /*actionSheet 按钮点击事件*/
			switch(b.index) {
				case 0:
					break;
				case 1:
					getImage(); /*拍照*/
					break;
				case 2:
					galleryImg(); /*打开相册*/
					break;
				default:
					break;
			}
		})
	}
});
		
//拍照
function getImage() {
	
	checkPermission('android.permission.CAMERA');
	
	var c = plus.camera.getCamera();
	c.captureImage(function(e) {
		plus.io.resolveLocalFileSystemURL(e, function(entry) {
			var s = entry.toLocalURL();
			var index = (first.item.zzdjDataList).length;
			var str = '<div style="height: 64px; width: auto; float: left; margin-right: 15px;margin-top: -5px;">' +
				'<div style="height: 10px;margin-right: -10px;position: relative;float: right;">' +
				'<span class="mui-icon iconfont icon-shanchu1" style="font-size: 20px;color: red;background-color: #FFFFFF;' +
				'border-radius: 10px;" onclick="del_xzzzdj(' + index + ')"></span></div><div style="height: 64px;">' +
				'<img src="' + s + '" data-preview-src="" data-preview-group="1" style="object-fit: contain;" /></div></div>';
			$("#xzzzdj").append(str);

			var tpmc = s.substring(s.lastIndexOf("/") + 1);
			
			var bitmap = new plus.nativeObj.Bitmap("test");
			bitmap.load(s,function(){
				var imgData = bitmap.toBase64Data();
				
				imgData = imgData.replace("data:image/png;base64,", "");
				imgData = imgData.replace("data:image/jpeg;base64,", "");
				imgData = imgData.replace("data:image/jepg;base64,", "");
				imgData = imgData.replace("data:image/x-icon;base64,", "");
				imgData = imgData.replace("data:image/gif;base64,", "");
				
				first.item.zzdjDataList.push({
					tpmc: tpmc,
					tp4Base64: imgData,
					//img:s
				});
				
				bitmap.clear();
			},function(ex){
				console.log('加载图片失败：'+JSON.stringify(ex));
			});

			/*var image = new Image();
			image.src = s;
			image.setAttribute("crossOrigin",'Anonymous')
			image.onload = function() {
				var imgData = getBase64Image(image);
				first.item.zzdjDataList.push({
					tpmc: tpmc,
					tp4Base64: imgData,
					img: s
				});
			}*/

		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(s) {
		console.log("error" + s);
	})
}

//本地相册选择
function galleryImg() {
	
	checkPermission('android.permission.WRITE_EXTERNAL_STORAGE');
	
	plus.gallery.pick(function(e) {

		var index = (first.item.zzdjDataList).length;
		var str = '<div style="height: 64px; width: auto; float: left; margin-right: 15px;margin-top: -5px;">' +
			'<div style="height: 10px;margin-right: -10px;position: relative;float: right;">' +
			'<span class="mui-icon iconfont icon-shanchu1" style="font-size: 20px;color: red;background-color: #FFFFFF;' +
			'border-radius: 10px;" onclick="del_xzzzdj(' + index + ')"></span></div><div style="height: 64px;">' +
			'<img src="' + e + '" data-preview-src="" data-preview-group="1" style="object-fit: contain;" /></div></div>';
		$("#xzzzdj").append(str);
		var tpmc = e.substring(e.lastIndexOf("/") + 1);
			
		//if(plus.os.ios){
			var bitmap = new plus.nativeObj.Bitmap("test");
			bitmap.load(e,function(){
				var imgData = bitmap.toBase64Data();
				
				imgData = imgData.replace("data:image/png;base64,", "");
				imgData = imgData.replace("data:image/jpeg;base64,", "");
				imgData = imgData.replace("data:image/jepg;base64,", "");
				imgData = imgData.replace("data:image/x-icon;base64,", "");
				imgData = imgData.replace("data:image/gif;base64,", "");
				
				first.item.zzdjDataList.push({
					tpmc: tpmc,
					tp4Base64: imgData,
					//img: e
				});
				
				bitmap.clear();
			},function(ex){
				console.log('加载图片失败：'+JSON.stringify(ex));
			});
		/*} else {
			var image = new Image();
			image.src = e;
			image.setAttribute("crossOrigin",'Anonymous')
			image.onload = function() {
				var imgData = getBase64Image(image);
				
				first.item.zzdjDataList.push({
					tpmc: tpmc,
					tp4Base64: imgData,
					//img: e
				});
				
				image = null;
			}
		}*/

	}, function(e) {
		//outSet( "取消选择图片" );
	}, {
		filter: "image"
	});

}

//将图片压缩转成base64
function getBase64Image(img) {
	var canvas = document.createElement("canvas");
	var width = img.width;
	var height = img.height;
	/*var screenWidth = plus.screen.resolutionWidth; //屏幕宽度

	if(width > screenWidth) {
		height = Math.round(height / width * screenWidth);
		width = screenWidth;
	}*/
	canvas.width = width; /*设置新的图片的宽度*/
	canvas.height = height; /*设置新的图片的长度*/
	var ctx = canvas.getContext("2d");
	ctx.drawImage(img, 0, 0, width, height); /*绘图*/
	var dataURL = canvas.toDataURL("image/png", 0.9);
	return dataURL.replace("data:image/png;base64,", "");
}

mui.plusReady(function() {
	var _self = plus.webview.currentWebview();
	var zzdjs = null;
	if(first.item.id != null && first.item.id != '') {
		zzdjs = _self.item.zzdjs
	}

	initZzdj(zzdjs);
})

function initZzdj(zzdjs) {
	var str = "";
	mui.each(zzdjs, function(index, zzdj) {
		
		var fileName = zzdj.tpmc;
		var fileType = fileName.substring(fileName.lastIndexOf("."));
		
		if (".jpg" == fileType || ".png" == fileType) {	
		
			var tpUrl = zzdj.tpdz;
			if(tpUrl.indexOf("imageView2") == -1){
				tpUrl += "?imageView2/0/w/120";
			}else{
				tpUrl += "|imageView2/0/w/120";
			}
			
			str += '<div style="height: 64px; width: auto; float: left; margin-right: 15px;margin-top: -5px;">' +
				'<div style="height: 10px;margin-right: -10px;position: relative;float: right;">' +
				'<span class="mui-icon iconfont icon-shanchu1" style="font-size: 20px;color: red;background-color: #FFFFFF;' +
				'border-radius: 10px;" onclick="del_zzdj(' + index + ')"></span></div><div style="height: 64px;">' +
				'<img src="' + tpUrl + '" data-preview-src="' + zzdj.tpdz + '" data-preview-group="1" style="object-fit: contain;" /></div></div>';
		}  else {
			
			var iconPath = "";
			if(".pdf" == fileType){
				iconPath = "http://img.loafish.com/icon/pdf.png";
			} else if(".doc" == fileType || ".docx" == fileType){
				iconPath = "http://img.loafish.com/icon/word.png";
			} else if(".xls" == fileType || ".xlsx" == fileType){
				iconPath = "http://img.loafish.com/icon/excel.png";
			}
			
			str += '<div style="height: 64px; width: auto; float: left; margin-right: 15px;margin-top: -5px;">' +
				'<div style="height: 10px;margin-right: -10px;position: relative;float: right;">' +
				'<span class="mui-icon iconfont icon-shanchu1" style="font-size: 20px;color: red;background-color: #FFFFFF;' +
				'border-radius: 10px;" onclick="del_zzdj(' + index + ')"></span></div><div style="height: 64px;">' +
				'<img src="' + iconPath + '" onclick="openFile_zzdj(\'' + zzdj.tpdz + '\')"/></div></div>';
			
		}
	});
	var zzdjDataList = first.item.zzdjDataList;
	mui.each(zzdjDataList, function(index, item) {
		var fileName = item.tpmc;
		var fileType = fileName.substring(fileName.lastIndexOf("."));
		var prefix = "";
		if ( ".JPG" == fileType || ".jpg" == fileType) {
			prefix = "data:image/jpeg;base64,";
		} else if (".PNG" == fileType || ".png" == fileType){
			prefix = "data:image/png;base64,";
		} else if (".GIF" == fileType || ".gif" == fileType){
			prefix = "data:image/gif;base64,";
		} else if (".JPEG" == fileType || ".jpeg" == fileType){
			prefix = "data:image/jpeg;base64,";
		}
		
		var tp4Base64 = prefix + item.tp4Base64 ;
		
		str += '<div style="height: 64px; width: auto; float: left; margin-right: 15px;margin-top: -5px;">' +
			'<div style="height: 10px;margin-right: -10px;position: relative;float: right;">' +
			'<span class="mui-icon iconfont icon-shanchu1" style="font-size: 20px;color: red;background-color: #FFFFFF;' +
			'border-radius: 10px;" onclick="del_xzzzdj(' + index + ')"></span></div><div style="height: 64px;">' +
			'<img src="' + tp4Base64 + '" data-preview-src="" data-preview-group="1" style="object-fit: contain;" /></div></div>';
	});
	$("#xzzzdj").html(str);
}
/*删除加载图片*/
function del_zzdj(index) {
	first.item.zzdjs.splice(index, 1);
	initZzdj(first.item.zzdjs)
}
//删除选择的图片
function del_xzzzdj(index) {
	first.item.zzdjDataList.splice(index, 1);
	initZzdj(first.item.zzdjs)
}